import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)                  # Use the BCM pinout
GPIO.setwarnings(False)                 # Ignore warnings about pins being used for other stuff
ledStripPin = 19                        # LED strip is driven from this pin

GPIO.setup(ledStripPin, GPIO.OUT)       # Set ledStripPin as an output
pwm = GPIO.PWM(ledStripPin, 100)        # PWM on ledStripPin with frequency 100Hz
dutyCycle = 0                           # Initial brightness as percentage
pwm.start(dutyCycle)

try:
  while True:
    for dutyCycle in range(0, 101, 1):  # Fade up
        pwm.ChangeDutyCycle(dutyCycle)
        time.sleep(0.05)
    for dc in range(95, -1, -1):        # Fade down
        pwm.ChangeDutyCycle(dc)
        time.sleep(0.05)

except KeyboardInterrupt:               # Press CTRL-C to quit, and then:
    pwm.stop()                          # Stop the pwm
    GPIO.cleanup()                      # Clean up the GPIO pins